Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
POSTSNS OperationsSince 2.3SynchronousAuth Required

CreateSNSDingTalkEndpoint

CreateSNSDingTalkEndpoint

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • urlStringRequired

      The URL of the DingTalk robot.

    • atAllBoolean

      Optional. Whether to notify all (@All) members in a DingTalk group.

    • atPersonPhoneNumbersList

      Optional. The phone number of the group member to be notified (the @member).

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • resourceUuidString

      Optional.

    • platformUuidString

      Optional. The notification platform.

    • tagUuidsList

      Optional. The tag uuid list.

    • secretString

      Optional. The DingTalk secret key.

    • atPersonListMap

      Optional. The @person information. (Recommend)

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySNSDingTalkEndpointInventoryRequired

    See inventory

    • urlStringRequired

      The URL of the DingTalk robot.

    • atAllbooleanRequired

      Whether to notify all (@All) members in a DingTalk group.

    • secretStringRequired

      The DingTalk secret key.

    • atPersonPhoneNumbersListRequired

      The phone number of the group member to be notified (the @member).

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The endpoint type.

    • stateStringRequired

      The application platform.

    • platformUuidStringRequired

      The application platform UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • platformSNSApplicationPlatformInventoryRequired

      See platform.

  • uuidStringRequired

    The resource uuid.

  • nameStringRequired

    The resource name.

  • descriptionString

    Optional. The detailed description of the resource.

  • typeStringRequired

    The resource type.

  • createDateTimestampRequired

    The creation date.

  • lastOpDateTimestampRequired

    The last operation date.

Endpoint

POST/zstack/v1/sns/application-endpoints/ding-talk

/zstack/v1/sns/application-endpoints/ding-talk

Operation ID

CreateSNSDingTalkEndpoint

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/sns/application-endpoints/ding-talk' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","atAll":true,"atPersonPhoneNumbers":["<atPersonPhoneNumbers>"],"name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","platformUuid":"<platformUuid>","tagUuids":["<tagUuids>"],"secret":"<secret>","atPersonList":{}},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "url": "http://dingding-url", "atAll": false, "secret": "SECca7c224f47ab16fbe51050ae0b8ebfc505b2b866fc0eb3768c8d79527d1bacc0", "atPersonPhoneNumbers": [ "18900001111" ], "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Dec 25, 2023 2:05:12 PM", "lastOpDate": "Dec 25, 2023 2:05:12 PM" } }

Change History

This API has no change history records yet.

View all change history